package fxLenkkiVihko;

import LenkkiVihko.Lenkkivihko;
import javafx.application.Application;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.Pane;
import javafx.fxml.FXMLLoader;


/**
 * @author ossia
 * @version 22.1.2025
 *
 */
public class LenkkiVihkoMain extends Application {
    @Override
    public void start(Stage primaryStage) {
        try {
            FXMLLoader ldr = new FXMLLoader(getClass().getResource("LenkkiVihkoGUIView.fxml"));
            final Pane root = ldr.load();
            final LenkkiVihkoGUIController lenkkivihkoCtrl = (LenkkiVihkoGUIController) ldr.getController();
            Scene scene = new Scene(root);
            scene.getStylesheets().add(getClass().getResource("lenkkivihko.css").toExternalForm());
            primaryStage.setScene(scene);
            primaryStage.setTitle("LenkkiVihko");
            primaryStage.show();
            
            Lenkkivihko lenkkivihko = new Lenkkivihko();
            lenkkivihkoCtrl.setLenkkivihko(lenkkivihko);
        } catch(Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * @param args Ei kaytossa
     */
    public static void main(String[] args) {
        launch(args);
    }
}