package LenkkiVihko;

import java.util.ArrayList;
import java.util.Arrays;

/**
 * @author Ossian
 * @version 13.3.2025
 *
 */
public class Lenkit {
    private ArrayList<Lenkki> lenkit = new ArrayList<>();

    private int lenkkeja = 0;

    /**
     * @param lenkki on lenkkitaulukkoon lisättävä lenkki
     */
    public void lisaa(Lenkki lenkki) {
        lenkit.add(lenkki);
        setLenkkeja(getLenkkeja() + 1);
        
    }
    
    /**
     * @param jasenID id jäsenellä, jonka lenkit halutaan
     * @return jäsenelle kuuluvat lenkit
     */
    public ArrayList<Lenkki> getLenkit(int jasenID) {
        ArrayList<Lenkki> jasenenLenkit = new ArrayList<>();
        for (int i = 0; i < lenkit.size(); i++) {
            if (lenkit.get(i).getJasenID() == jasenID) jasenenLenkit.add(lenkit.get(i));
        }
        return jasenenLenkit;
        
    }
    
    /**
     * @param jasenID jäsenen, jonka lenkkien määrä palautetaan, id
     * @return lenkkien lukumäärän
     */
    public int getLkm(int jasenID) {
        int maara = 0;
        for (int i = 0; i < lenkit.size(); i++) {
            if (lenkit.get(i).getJasenID() == jasenID) maara++;
        }
        return maara;
    }

    public int getLenkkeja() {
        return lenkkeja;
    }

    public void setLenkkeja(int lenkkeja) {
        this.lenkkeja = lenkkeja;
    }

}
