package LenkkiVihko;

/**
 * @author Ossian
 * @version 13.3.2025
 *
 */
public class Lenkki {
    private String pvm;
    private double matka;
    private int jasenID;
    private int lenkkiID;
    
    private int seuraavaLenkkiID = 0;

    /**
     * @param pvm lankin päivämääär
     * @param matka lenkin pituus
     * @param jasenID jäsenen ID
     */
    public Lenkki(String pvm, double matka, int jasenID) {
        this.pvm = pvm;
        this.matka = matka;
        this.setJasenID(jasenID);
        setLenkkiID(seuraavaLenkkiID);
        seuraavaLenkkiID ++;
    }
    
    /**
     * @return palauttaa lenkin päivämäärän
     */
    public String getPvm() {
        return pvm;
    }
    
    /**
     * @return palauttaa lenkin matkan
     */
    public double getMatka() {
        return matka;
    }

    /**
     * @return JasenID:n
     */
    public int getJasenID() {
        return jasenID;
    }
    
    /**
     * @return palauttaa lenkin päivän ja matkan stringinä
     */
    public String getLenkinS() {
        return pvm + " " + String.valueOf(matka);
    }

    /**
     * @param jasenID jasen id:ksi asetettava arvo
     */
    public void setJasenID(int jasenID) {
        this.jasenID = jasenID;
    }

    /**
     * @return lenkki id:n
     */
    public int getLenkkiID() {
        return lenkkiID;
    }

    /**
     * @param lenkkiID id:ksi asetettava arvo
     */
    public void setLenkkiID(int lenkkiID) {
        this.lenkkiID = lenkkiID;
    }
    
    
    
}
